build: fixed a typo that prevented --bundled-libraries from working correctly
[samba.git] / buildtools / wafsamba / samba_bundled.py
index f87ff8027ca694ec1aad8457d0f3ab1e36f616dc..6a393ebf2c204e2ba18be3e241e3a7c79af4cc3e 100644 (file)
@@ -92,7 +92,7 @@ def CHECK_BUNDLED_SYSTEM(conf, libname, minversion='0.0.0',
     # versions
     if onlyif:
         for syslib in TO_LIST(onlyif):
     # versions
     if onlyif:
         for syslib in TO_LIST(onlyif):
-            f = 'FOUND_SYSTEM_%s' % syslib
+            f = 'FOUND_SYSTEMLIB_%s' % syslib
             if not f in conf.env:
                 if 'NONE' in conf.env.BUNDLED_LIBS or '!'+libname in conf.env.BUNDLED_LIBS:
                     Logs.error('ERROR: Use of system library %s depends on missing system library %s' % (libname, syslib))
             if not f in conf.env:
                 if 'NONE' in conf.env.BUNDLED_LIBS or '!'+libname in conf.env.BUNDLED_LIBS:
                     Logs.error('ERROR: Use of system library %s depends on missing system library %s' % (libname, syslib))